commit:     66f7a1b0bd2d56688397fbe61c65e5b219cc559a
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 22 01:54:49 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Nov 22 02:00:07 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66f7a1b0

dev-python/oslo-i18n: 3.17.1 bup

Package-Manager: Portage-2.3.14, Repoman-2.3.6

 dev-python/oslo-i18n/Manifest                |  1 +
 dev-python/oslo-i18n/oslo-i18n-3.17.1.ebuild | 72 ++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-python/oslo-i18n/Manifest b/dev-python/oslo-i18n/Manifest
index 38be33f33ce..b54e80cc333 100644
--- a/dev-python/oslo-i18n/Manifest
+++ b/dev-python/oslo-i18n/Manifest
@@ -1,4 +1,5 @@
 DIST oslo-i18n-3.12.0.tar.gz 40514 SHA256 
6add28cbbe8254838f7f131de0cf0f3761786d57e5fe5716a488260b725f58d3 SHA512 
a19cfec1acb1461d6373ffe5c13c275ce50c4e817e613c3cccd56b90955d99088162089753fba3b3185ee44598013e965c030d011e56140f95958dc9bfec4b61
 WHIRLPOOL 
64aefcf366b18db65f54b9277c6946ef013e02f49ebae6c8066227324ed807e644a14c17fccd6b5359d6e7fbf49f4e29e2c6fdfeacc8eeac98c79b5816e6ba74
 DIST oslo-i18n-3.17.0.tar.gz 42858 SHA256 
168b8c06f03599ac8172eb87112b5054e46bf421db03c367c059e3110d98ad31 SHA512 
22d4fb92f94b0d69f719764219fe1234a42feec8d3eb72c9098cd8451a9e26778c209eb3a5ebb1b0f6e793304b8fc48d38578b598f24bc31a43e9468eb44fac4
 WHIRLPOOL 
efd91876ea705c60f71d2f8abe7bc0b06d322b7ef420b6e87e9224afd3d659c57dcc273ba116533d1c2f6720edd3a0a1363daf1df7a27a4c9b543147dc3b10fe
+DIST oslo-i18n-3.17.1.tar.gz 42660 SHA256 
6fbab96f646281a3b996548811f1640a28ca6188efca87fdbdaf40de31f5c10f SHA512 
86d244eba7a887d4b8c3327487c9dd67c8e4baa52afdc05f94a229d6c1c951b8a25fc628f490320501773bb808afb8fb3b450a8d26e11b9a36a3c22baaa64544
 WHIRLPOOL 
8611cbcf9fb08cf00238a4273b11dba27d9d8b162a95a19c6fc9275b2f99ead7454e3a027c82e4ada27aaa4f9cff7f6a367aa990e10915211de59b49497665d1
 DIST oslo-i18n-3.5.0.tar.gz 36093 SHA256 
5fff5f6ceabed9d09b18d83e049864c29eff038efbbe67e03fe68c49cc189f10 SHA512 
156b28fa1db65a57a8db2744d72cb5db2706ec773746e676895121c0d6459f4806d826b76428841ee7124c27eba281095fa50d64cbb68f82133c41560ea15950
 WHIRLPOOL 
8d599b0e989c650d305c0f2ad85596971e6b0e3c5a8f8daa00ba76b9fdc8cdf5486a346343123247efc8dbaf4d7825a62b5340a957c7e7881c2483ea051e90e1
 DIST oslo-i18n-3.9.0.tar.gz 35973 SHA256 
0bcb8108cf38b9ad4feb1ee08d27e34dc358f80dc7a7fe9a5b942ebf3b07c0b5 SHA512 
7c176b8ac3ef0b52b2a08a7779c59b01fd32e084b99562eb232f9894ba4c9ae0bd810721fcf6fedf8729e3fdbfebce8b6210698aa0ae9e003855c8f2d66f2b0a
 WHIRLPOOL 
34781968918cf6e7114301f7122f9d8f516be9f2db89798e64ad4589eb78f9b4a11e0f30b034b697734cfa3508cd997f13e8afe4b4abbc970d1705b42b060842

diff --git a/dev-python/oslo-i18n/oslo-i18n-3.17.1.ebuild 
b/dev-python/oslo-i18n/oslo-i18n-3.17.1.ebuild
new file mode 100644
index 00000000000..185846ef6f5
--- /dev/null
+++ b/dev-python/oslo-i18n/oslo-i18n-3.17.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo i18n library"
+HOMEPAGE="https://launchpad.net/oslo";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+               >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+               !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+               >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+               >=dev-python/oslo-config-4.0.0[${PYTHON_USEDEP}]
+               !~dev-python/oslo-config-4.3.0[${PYTHON_USEDEP}]
+               !~dev-python/oslo-config-4.4.0[${PYTHON_USEDEP}]
+       )
+       doc? (
+               >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+               >=dev-python/openstackdocstheme-1.16.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.2.1[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.4[${PYTHON_USEDEP}]
+               >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+               !~dev-python/reno-2.3.1[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+       !~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && esetup.py build_sphinx
+}
+
+python_test() {
+       rm -rf .testrepository || die "couldn't remove '.testrepository' under 
${EPYTHON}"
+
+       testr init || die "testr init failed under ${EPYTHON}"
+       testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to